package com.loh.dao;

import com.loh.model.RenterInfo;
import com.loh.model.RenterInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RenterInfoMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    long countByExample(RenterInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    int deleteByExample(RenterInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    int insert(RenterInfo record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    int insertSelective(RenterInfo record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    List<RenterInfo> selectByExample(RenterInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    RenterInfo selectByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    int updateByExampleSelective(@Param("record") RenterInfo record, @Param("example") RenterInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    int updateByExample(@Param("record") RenterInfo record, @Param("example") RenterInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    int updateByPrimaryKeySelective(RenterInfo record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table renter_info
     *
     * @mbg.generated
     */
    int updateByPrimaryKey(RenterInfo record);
}